# Interface GmfLayerChildLayer

interface GmfLayerChildLayer {
getData: boolean;
maxResolutionHint: number;
minResolutionHint: number;
name: string;
queryable: boolean;
}

- Defined in src/themes.js:169

#####
Index

### Properties

getData
maxResolutionHint
minResolutionHint
name
queryable

## Properties

### getData

getData: boolean

If the layer is queryable and this property is set to false, then the layer won't be used in queries issued. Defaults to `true`.

- Defined in src/themes.js:170

### maxResolutionHint

maxResolutionHint: number

The min resolution where the layer is visible.

- Defined in src/themes.js:172

### minResolutionHint

minResolutionHint: number

The max resolution where the layer is visible.

- Defined in src/themes.js:173

### name

name: string

- Defined in src/themes.js:174

### queryable

queryable: boolean

- Defined in src/themes.js:175

Generated using TypeDoc